    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.awt.datatransfer.Transferable

public interface Transferable

Defines the interface for classes that can be used to provide data for a transfer operation.

##

getTransferData(DataFlavor)
  Returns an object which represents the data to be transferred.
getTransferDataFlavors()
  Returns an array of DataFlavor objects indicating the flavors the data can be provided in.
isDataFlavorSupported(DataFlavor)
  Returns whether or not the specified data flavor is supported for this object.

##

getTransferDataFlavors

     public abstract DataFlavor[] getTransferDataFlavors()

  Returns an array of DataFlavor objects indicating the flavors the data can be provided in. The array should be ordered according to preference for providing the data (from most richly descriptive to least descriptive).

  Returns:
    an array of data flavors in which this data can be transferred

isDataFlavorSupported

     public abstract boolean isDataFlavorSupported(DataFlavor flavor)

  Returns whether or not the specified data flavor is supported for this object.

  Parameters:
    flavor - the requested flavor for the data
  Returns:
    boolean indicating wjether or not the data flavor is supported

getTransferData

     public abstract Object getTransferData(DataFlavor flavor) throws UnsupportedFlavorException, IOException

  Returns an object which represents the data to be transferred. The class of the object returned is defined by the representation class of the flavor.

  Parameters:
    flavor - the requested flavor for the data
  Throws: IOException
    if the data is no longer available in the requested flavor.
  Throws: UnsupportedFlavorException
    if the requested data flavor is not supported.
  See Also:
    getRepresentationClass

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.